<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.admin.ClosingDayDetail" table="closing_day_details" catalog="prase">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <many-to-one name="closingDay" class="com.arrebol.taxiservicios.model.admin.ClosingDay" not-null="true" fetch="select">
            <column name="closing_day_id" length="36" not-null="true"/>
        </many-to-one> 
        <property name="type" type="string">
            <column name="type" length="200"/>
        </property>                
        <property name="amount" type="big_decimal" not-null="true">
            <column name="amount"/>
        </property>
        <property name="amountSaving" type="big_decimal">
            <column name="amount_saving"/>
        </property>  
        <property name="amountAccident" type="big_decimal">
            <column name="amount_accident"/>
        </property>
        <many-to-one name="person" class="com.arrebol.taxiservicios.model.core.Person" fetch="select">
            <column name="person_id" length="36"/>
        </many-to-one> 
        <property name="comments" type="string">
            <column name="comments" length="200"/>
        </property>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36" not-null="true"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>

    </class>
</hibernate-mapping>